package org.notredame.cse40333;

import android.app.Activity;
import android.hardware.Sensor;
import android.hardware.SensorEvent;
import android.hardware.SensorEventListener;
import android.hardware.SensorManager;
import android.os.Bundle;
import android.widget.TextView;

public class DemoSensor extends Activity implements SensorEventListener {
	private SensorManager sensorManager;
	private Sensor accelSensor;
	private TextView xValue;
	private TextView yValue;
	private TextView zValue;
	
	
    /** Called when the activity is first created. */
    @Override
    public void onCreate(Bundle savedInstanceState) {
        super.onCreate(savedInstanceState);
        setContentView(R.layout.main);
        xValue = (TextView)findViewById(R.id.valueX);
        yValue = (TextView)findViewById(R.id.valueY);
        zValue = (TextView)findViewById(R.id.valueZ);
        
        sensorManager = (SensorManager)getSystemService(SENSOR_SERVICE);
        accelSensor = sensorManager.getDefaultSensor(Sensor.TYPE_ACCELEROMETER);
    }
    
    

	@Override
	protected void onPause() {
		// TODO Auto-generated method stub
		super.onPause();
		sensorManager.unregisterListener(this);
		
	}



	@Override
	protected void onResume() {
		// TODO Auto-generated method stub
		super.onResume();
		sensorManager.registerListener(this, accelSensor, SensorManager.SENSOR_DELAY_NORMAL);
		
	}



	@Override
	public void onAccuracyChanged(Sensor sensor, int accuracy) {
		// TODO Auto-generated method stub
		
	}

	@Override
	public void onSensorChanged(SensorEvent event) {
		// TODO Auto-generated method stub
		xValue.setText(String.format("%.3f m/s^2", event.values[0]));
		yValue.setText(String.format("%.3f m/s^2", event.values[1]));
		zValue.setText(String.format("%.3f m/s^2", event.values[2]));
	}
    
}